- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FileOutputStream Class Reference

Inherits OutputStream.

List of all members.

## Detailed Description

OutputStream implemented on top of APR file IO.

## Public Member Functions
| FileOutputStream (const LogString &filename, bool append=false)
| FileOutputStream (const logchar *filename, bool append=false)
virtual | ~FileOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)

## Constructor & Destructor Documentation

FileOutputStream | ( | const LogString & | filename,
|  | bool | append = `false`
| ) |

FileOutputStream | ( | const logchar * | filename,
|  | bool | append = `false`
| ) |

virtual ~FileOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) | `[virtual]`

| Implements OutputStream.

The documentation for this class was generated from the following file:

- fileoutputstream.h